Get the other submissions of a Reddit post's link across Reddit: crossposts and reposts of the same URL, by post URL or ID. Returns the same post fields as Post Details for each one (subreddit, author, date, score, upvote ratio, comment count). Up to 100 per request.
curl "https://apidirect.io/v1/reddit/post/crossposts?post_id=z1c9z" \
-H "X-API-Key: YOUR_API_KEY"
{
"posts": [
{
"post_id": "x0hiil",
"title": "President Obama does a Reddit AMA [10YA - Aug 29]",
"url": "https://www.reddit.com/r/TenYearsAgo/comments/x0hiil/president_obama_does_a_reddit_ama_10ya_aug_29/",
"date": "2022-08-29 06:25:55",
"author": "MonsieurA",
"author_url": "https://www.reddit.com/user/MonsieurA",
"source": "Reddit",
"domain": "reddit.com",
"snippet": "President Obama does a Reddit AMA [10YA - Aug 29]",
"subreddit": "TenYearsAgo",
"upvotes": 27,
"upvote_ratio": 0.91,
"comments": 4,
"crossposts": 0,
"flair": "Technology & Internet",
"link_url": "https://www.reddit.com/r/IAmA/comments/z1c9z/i_am_barack_obama_president_of_the_united_states/",
"thumbnail": "",
"is_video": false,
"nsfw": false,
"spoiler": false,
"locked": false,
"stickied": false,
"video_url": "",
"video_hls_url": "",
"images": [],
"sentiment": {
"emotions": {
"joy": 40,
"trust": 55,
"fear": 0,
"surprise": 10,
"sadness": 0,
"disgust": 0,
"anger": 0,
"anticipation": 30
},
"dominant_emotion": "trust",
"emotional_intensity": 5,
"polarity": "positive"
}
}
],
"post_id": "z1c9z",
"count": 13
}